itpp::Link_Packet Class Reference

`#include <itpp/protocol/packet.h>`

Inheritance diagram for itpp::Link_Packet:

## Public Member Functions

| Link_Packet (const int Seq_no, const unsigned long int Link_packet_id, L3_Packet_Info *Cp)
| ADD DOCUMENTATION HERE.
| ~Link_Packet ()
| ADD DOCUMENTATION HERE.
void | set_bit_size (int packet_size)
| set size of packet in bits
int | bit_size ()
| get size of packet in bits

## Public Attributes

unsigned long int | link_packet_id
| ADD DOCUMENTATION HERE.
int | seq_no
| ADD DOCUMENTATION HERE.
L3_Packet_Info * | l3_pkt_info_p
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 97 of file packet.h.

## Constructor & Destructor Documentation

## Link_Packet()

itpp::Link_Packet::Link_Packet | ( | const int | Seq_no,
|  | const unsigned long int | Link_packet_id,
|  | L3_Packet_Info * | Cp )

inline

ADD DOCUMENTATION HERE.

Definition at line 101 of file packet.h.

References l3_pkt_info_p, link_packet_id, and seq_no.

## ~Link_Packet()

itpp::Link_Packet::~Link_Packet | ( |  | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 104 of file packet.h.

## Member Function Documentation

## set_bit_size()

void itpp::Packet::set_bit_size | ( | int | packet_size | ) |

inline inherited

set size of packet in bits

Definition at line 64 of file packet.h.

References it_assert.

Referenced by Packet().

## bit_size()

int itpp::Packet::bit_size | ( |  | ) |

inline inherited

get size of packet in bits

Definition at line 67 of file packet.h.

Referenced by itpp::Front_Drop_Queue::pop(), itpp::Front_Drop_Queue::push(), and itpp::TCP_Server_Application::write_to_net().

## Member Data Documentation

## link_packet_id

unsigned long int itpp::Link_Packet::link_packet_id

ADD DOCUMENTATION HERE.

Definition at line 107 of file packet.h.

Referenced by Link_Packet().

## seq_no

int itpp::Link_Packet::seq_no

ADD DOCUMENTATION HERE.

Definition at line 109 of file packet.h.

Referenced by Link_Packet().

## l3_pkt_info_p

L3_Packet_Info* itpp::Link_Packet::l3_pkt_info_p

ADD DOCUMENTATION HERE.

Definition at line 111 of file packet.h.

Referenced by Link_Packet().

The documentation for this class was generated from the following file:

- itpp/protocol/packet.h

Generated on for IT++ by Doxygen 1.15.0